org.apache.commons.math.estimation

## Class WeightedMeasurement

- java.lang.Object
- - org.apache.commons.math.estimation.WeightedMeasurement

All Implemented Interfaces:
  Serializable

Deprecated.
as of 2.0, everything in package org.apache.commons.math.estimation has been deprecated and replaced by package org.apache.commons.math.optimization.general

    @Deprecated
    public abstract class WeightedMeasurement
    extends Object
    implements Serializable

This class represents measurements in estimation problems.

This abstract class implements all the methods needed to handle measurements in a general way. It defines neither the `getTheoreticalValue` nor the `getPartial` methods, which should be defined by sub-classes according to the specific problem.

The `getTheoreticalValue` and `getPartial` methods must always use the current estimate of the parameters set by the solver in the problem. These parameters can be retrieved through the `EstimationProblem.getAllParameters` method if the measurements are independent of the problem, or directly if they are implemented as inner classes of the problem.

The instances for which the `ignored` flag is set through the `setIgnored` method are ignored by the solvers. This can be used to reject wrong measurements at some steps of the estimation.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 17:32:50 +0200 (dim. 06 sept. 2009) $
See Also:
  `EstimationProblem`, Serialized Form

### Field Summary

Fields
`private boolean` `ignored` Deprecated. Ignore measurement indicator.
`private double` `measuredValue` Deprecated. Value of the measurements.
`private static long` `serialVersionUID` Deprecated. Serializable version identifier.
`private double` `weight` Deprecated. Measurement weight.

### Constructor Summary

Constructors
Constructor and Description
`WeightedMeasurement(double weight, double measuredValue)` Deprecated. Simple constructor.
`WeightedMeasurement(double weight, double measuredValue, boolean ignored)` Deprecated. Simple constructor.

### Method Summary

Methods
`double` `getMeasuredValue()` Deprecated. Get the measured value
`abstract double` `getPartial(EstimatedParameter parameter)` Deprecated. Get the partial derivative of the `theoretical value` according to the parameter.
`double` `getResidual()` Deprecated. Get the residual for this measurement The residual is the measured value minus the theoretical value.
`abstract double` `getTheoreticalValue()` Deprecated. Get the theoretical value expected for this measurement
`double` `getWeight()` Deprecated. Get the weight of the measurement in the least squares problem
`boolean` `isIgnored()` Deprecated. Check if this measurement should be ignored
`void` `setIgnored(boolean ignored)` Deprecated. Set the ignore flag to the specified value Setting the ignore flag to true allow to reject wrong measurements, which sometimes can be detected only rather late.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Deprecated.
Serializable version identifier.

See Also:
  Constant Field Values

#### weight

    private final double weight

Deprecated.
Measurement weight.

#### measuredValue

    private final double measuredValue

Deprecated.
Value of the measurements.

#### ignored

    private boolean ignored

Deprecated.
Ignore measurement indicator.

### Constructor Detail

#### WeightedMeasurement

    public WeightedMeasurement(double weight,
                       double measuredValue)

Deprecated.
Simple constructor. Build a measurement with the given parameters, and set its ignore flag to false.

Parameters:
  `weight` - weight of the measurement in the least squares problem (two common choices are either to use 1.0 for all measurements, or to use a value proportional to the inverse of the variance of the measurement type)
  `measuredValue` - measured value

#### WeightedMeasurement

    public WeightedMeasurement(double weight,
                       double measuredValue,
                       boolean ignored)

Deprecated.
Simple constructor. Build a measurement with the given parameters

Parameters:
  `weight` - weight of the measurement in the least squares problem
  `measuredValue` - measured value
  `ignored` - true if the measurement should be ignored

### Method Detail

#### getWeight

    public double getWeight()

Deprecated.
Get the weight of the measurement in the least squares problem

Returns:
  weight

#### getMeasuredValue

    public double getMeasuredValue()

Deprecated.
Get the measured value

Returns:
  measured value

#### getResidual

    public double getResidual()

Deprecated.
Get the residual for this measurement The residual is the measured value minus the theoretical value.

Returns:
  residual

#### getTheoreticalValue

    public abstract double getTheoreticalValue()

Deprecated.
Get the theoretical value expected for this measurement

The theoretical value is the value expected for this measurement if the model and its parameter were all perfectly known.

The value must be computed using the current estimate of the parameters set by the solver in the problem.

Returns:
  theoretical value

#### getPartial

    public abstract double getPartial(EstimatedParameter parameter)

Deprecated.
Get the partial derivative of the `theoretical value` according to the parameter.

The value must be computed using the current estimate of the parameters set by the solver in the problem.

Parameters:
  `parameter` - parameter against which the partial derivative should be computed
Returns:
  partial derivative of the `theoretical value`

#### setIgnored

    public void setIgnored(boolean ignored)

Deprecated.
Set the ignore flag to the specified value Setting the ignore flag to true allow to reject wrong measurements, which sometimes can be detected only rather late.

Parameters:
  `ignored` - value for the ignore flag

#### isIgnored

    public boolean isIgnored()

Deprecated.
Check if this measurement should be ignored

Returns:
  true if the measurement should be ignored